LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 03-21-2004, 04:02 PM   #1
NickBT
LQ Newbie
 
Registered: Nov 2003
Posts: 2

Rep: Reputation: 0
Libranet 2.7 Classic apt-get and sources.list questions


I've been trying to update a Live Journal client. But for some reason or another when I apt-get it wants to basically remove Gnome from my computer.

This is what I get when I try to apt-get logjam

Quote:
root@NixBox:~# apt-get install logjam
Reading Package Lists... Done Building Dependency Tree... Done

The following extra packages will be installed:
aspell aspell-bin aspell-en at-spi bonobo-activation capplets-data debconf debconf-i18n debconf-utils dialog docbook-xml docbook-xsl e2fslibs fluxconf fontconfig gcc-3.3-base gconf-editor gconf2 gnome-games-data grepmail gtk-theme-switch guile-1.6-libs libaspell15 libatk1.0-0 libatspi1.0-0 libbonobo-activation4 libbonobo2-0 libbonobo2-common libbonoboui2-common libc6 libc6-dev libcupsys2 libcurl2 libcurses-perl libdb3 libdb4.0 libdbd-mysql-perl libdbi-perl libesd0 libexpat1 libfilehandle-unget-perl libfontconfig1 libfreetype6 libft-perl libgail-common libgail17 libgcc1 libgconf2-4 libgcrypt1 libgdbm3 libglade2-0 libglib2.0-0 libgnet2.0-0 libgnomecanvas2-0 libgnomeprint2.2-0 libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common libgnomeui32 libgnutls7 libgsf-1 libgtk-perl libgtk2.0-0 libgtk2.0-common libgtkhtml2-0 libgtksourceview-common libgtksourceview1.0-0 libgtkspell0 libguile-ltdl-1 libhtml-parser-perl libice6 libidl0 libjcode-pm-perl liblinc1 liblocale-gettext-perl liblzo1 libmail-mbox-messageparser-perl libmetacity0 libncurses5 libncurses5-dev libncursesw5 libnet-daemon-perl libnewt0.51 liborbit2 libpango1.0-0 libpango1.0-common libplrpc-perl libpng12-0 libpopt0 libqthreads-12 librsvg2-2 libscrollkeeper0 libsm6 libssl0.9.7 libstartup-notification0 libstdc++5 libtasn1-2 libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl libvte-common libvte4 libwmf0.2-7 libwnck4 libwww-perl libx11-6 libxcursor1 libxext6 libxft1 libxft2 libxi6 libxml-parser-perl libxml-twig-perl libxml2 libxmu6 libxmuu1 libxp6 libxpm4 libxrandr2 libxrender1 libxslt1 libxslt1.1 libxt6 libxtrap6 libxtst6 libxv1 libzvt2.0-0 linux-kernel-headers locales metacity pan perl perl-base perl-modules perl-tk rep-gtk sawfish scrollkeeper sgml-data slang1a-utf8 spacechart symlinks ucf whiptail xbase-clients xfree86-common xlibmesa-dri xlibmesa-gl xlibmesa-glu xlibmesa3 xlibs xlibs-data xml-core xtv zlib1g

The following packages will be REMOVED:
axyftp-gtk communicator communicator-base-477 communicator-smotif-477 eog2 file-roller2 gaspell gdm2 gedit glbiff gnome-applets2 gnome-control-center2 gnome-games gnome-gv gnome-media2 gnome-panel-data2 gnome-panel2 gnome-session2 gnome-system-monitor gnome-terminal gnome-utils gnome2 gthumb2 gtk-engines-cleanice2 gtk-engines-mgicchikn gtm html2ps libaspell10 libatspi1.0-1 libbonoboui2-0 libdigest-md5-perl libeel2-2 libgail-gnome0 libgnome-desktop-0 libgnomeprintui-0 libgnomeui-0 libgtk-common libgtk2.0-0png3 libmime-base64-perl libnautilus2-2 libpanel-applet2-0 libpango-common libpspell4 libstorable-perl libweakref-perl metatheme nautilus2 netscape netscape-base-4 netscape-base-477 netscape-smotif-477 perlmagick xlib6g yelp

The following NEW packages will be installed:
aspell-bin aspell-en capplets-data debconf-i18n e2fslibs fontconfig gcc-3.3-base gnome-games-data guile-1.6-libs libaspell15 libatspi1.0-0 libdb4.0 libfilehandle-unget-perl libfontconfig1 libgdbm3 libgnet2.0-0 libgnomeprint2.2-0 libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common libgnutls7 libgsf-1 libgtk2.0-0 libgtksourceview-common libgtksourceview1.0-0 libgtkspell0 libguile-ltdl-1 libice6 libidl0 liblocale-gettext-perl liblzo1 libmail-mbox-messageparser-perl libmetacity0 libncursesw5 libnet-daemon-perl libnewt0.51 libplrpc-perl libpng12-0 libqthreads-12 libsm6 libssl0.9.7 libstartup-notification0 libtasn1-2 libtext-charwidth-perl libtext-wrapi18n-perl libvte-common libvte4 libwmf0.2-7 libx11-6 libxcursor1 libxext6 libxft1 libxft2 libxi6 libxmu6 libxmuu1 libxp6 libxpm4 libxrandr2 libxrender1 libxslt1.1 libxt6 libxtrap6 libxtst6 libxv1 linux-kernel-headers slang1a-utf8 symlinks ucf xlibmesa-dri xlibmesa-gl xlibmesa-glu xlibs-data xml-core 82 packages upgraded, 74 newly installed, 54 to remove and 681 not upgraded. 67 packages not fully installed or removed.

Need to get 73.3MB of archives. After unpacking 26.1MB will be used. Do you want to continue? [Y/n]
How I keep Gnome from getting removed?

Also, I'd like to know how I can add KDE and Gnome mirrors to my sources.list. I tried to do it myself and it said it was malformed. So how do I add KDE and Gnome mirrors to my sources list so they work?
 
Old 03-21-2004, 04:49 PM   #2
noeffort
LQ Newbie
 
Registered: Feb 2004
Posts: 27

Rep: Reputation: 15
82 packages upgraded, 74 newly installed, 54 to remove and 681 not upgraded. 67 packages not fully installed or removed.

before you go any further, it looks like your system has a horrible mish mash of some packages installed/ready to upgrade vs. those you want to force in as upgraded.

Better to do:

apt-get -f update
apt-get upgrade <-- no -f

and do a safe upgrade with all the packages you already have in the queue/cache ready to upgrade first.

then once your line says:
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded

then you should try installing what you want to install.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Need Recommendation for Debian Etch sources.list ( /etc/apt/sources.list ) forgox Debian 6 05-05-2007 01:57 PM
apt sources.list TranceDude Linux - Software 11 08-13-2005 01:22 PM
apt-get update errors since Debian released ( bad /etc/apt/sources.list ?) forgox Debian 10 06-13-2005 12:28 PM
apt-get sources.list utw-mephisto Debian 5 05-17-2005 11:36 PM
help with /etc/apt/sources.list please Lleb_KCir Linux - Software 0 10-05-2004 01:15 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 01:25 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration